pkgCache::Group Struct Reference

groups architecture depending packages together More...

`#include <apt-pkg/pkgcache.h>`

Collaboration diagram for pkgCache::Group:
[legend]

## Public Attributes

map_stringitem_t | Name
| Name of the group.
map_pointer< Package > | FirstPackage
| Link to the first package which belongs to the group.
map_pointer< Package > | LastPackage
| Link to the last package which belongs to the group.
map_pointer< Group > | Next
| Link to the next Group.
map_id_t | ID
| unique sequel ID
map_pointer< Version > | VersionsInSource
| List of binary produces by source package with this name.
map_pointer< SourceVersion > | SourceVersionList
| SourceVersionList.
map_pointer< void > | d
| Private pointer.

## Detailed Description

groups architecture depending packages together

On or more packages with the same name form a group, so we have a simple way to access a package built for different architectures Group exists in a singly linked list of group records starting at the hash index of the name in the pkgCache::Header::GrpHashTable

They also act as a representation of source packages, allowing you to iterate over all binaries produced by a source package.

The documentation for this struct was generated from the following file:

- apt-pkg/pkgcache.h